> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/diagnostic/reset-ipsec-session/{deviceId} > Reset IPSec sessions ## OpenAPI ````json PUT /v1/diagnostic/reset-ipsec-session/{deviceId} { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/diagnostic/reset-ipsec-session/{deviceId}": { "put": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "deviceId", "in": "path", "required": true, "description": "Unique identifier for a specific device", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 }, "example": 1000000 } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DiagnosticResetIpsecSessionDeviceIdPutRequest" } } } }, "responses": { "204": { "description": "No Content" } }, "description": "Reset IPSec sessions" } } }, "components": { "schemas": { "v1DiagnosticResetIpsecSessionDeviceIdPutRequest": { "type": "object", "properties": { "all3RdParty": { "type": "boolean", "example": true, "description": "All 3rd Party IPSec sessions" }, "allControllers": { "type": "boolean", "example": true, "description": "All Graphiant controllers IPSec sessions" }, "allE2E": { "type": "boolean", "example": true, "description": "All Edge to Edge sessions" }, "vrf": { "type": "array", "items": { "type": "string", "example": "isp-11, isp-12", "description": "List of circuit VRFs" } } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````